package main

import (
	"fmt"

	"github.com/hyperledger/fabric/core/chaincode/shim"
	log "github.com/sirupsen/logrus"
	"gitlab.smartblocklab.com/smartcontracts/offerCC/mngr"
)

var (
	logger = log.WithFields(log.Fields{
		"chaincode": "offerCC",
		"module":    "main",
	})
)

func main() {
	err := shim.Start(mngr.NewOfferChaincode())
	if err != nil {
		fmt.Printf("Error starting offer chaincode: %s", err)
	}
}
